' GRank
'       MakeRank Clone of Original Global Wars v1.5
'       Re-made for v1.6
'               Done By Robin Lee of Calgary, Alberta
'          
'       PartyTime! at (403)280-4547
' Up at 3:30pm Weekdays (School Days) (MST)
'       8:00am Weekends and Stat Holidays
' Down at 9:30pm everynight..
'
'
BEGIN:
ON ERROR GOTO ERRORWITHWAR.CFG
   OPEN "WAR.CFG" FOR INPUT AS #1
   INPUT #1, Junk$                      ' Ignore registration number
   INPUT #1, Junk$                      ' Ignore number of games per user
   INPUT #1, Junk$                      ' Ignore games allowed
   INPUT #1, Junk$                      ' Ignore max minutes
   INPUT #1, Junk$                      ' Ignore number of turns between hours
   INPUT #1, Junk$                      ' Ignore auto-delete days
   INPUT #1, Junk$                      ' Ignore users-begin new games
   INPUT #1, Junk$                      ' Ignore use fossil driver
   INPUT #1, Junk$                      ' Ignore Locked BaudRate
   INPUT #1, Junk$                      ' Ignore Auto-Delete Games
   INPUT #1, Junk$                      ' Ignore Allow-Direct Screen writes
   INPUT #1, Junk$                      ' Ignore Multi-Node BBS's.
   INPUT #1, Junk$                      ' Ignore Points for 3 player games
   INPUT #1, Junk$                      ' Ignore Points for 4 player games
   INPUT #1, Junk$                      ' Ignore Points for 5 player games
   INPUT #1, Junk$                      ' Ignore Points for 6 player games
   INPUT #1, Junk$                      ' Ignore Team, Surviving Partner
   INPUT #1, Junk$                      ' Ignore Team, Dead Partner
   INPUT #1, Junk$                      ' Ignore Team, Partner Winner
   INPUT #1, Junk$                      ' Ignore Team, Partner NON-Winner
   INPUT #1, Junk$                      ' Ignore Eliminated normal game
   INPUT #1, Junk$                      ' Ignore Eliminated Team game (Partner Eliminated)
   INPUT #1, Junk$                      ' Ignore Eliminated Team game (Other Partner)
   INPUT #1, Junk$                      ' Ignore SUBTRACTED points
   INPUT #1, REQUIRED$                  ' Points Required
   CLOSE
   require$ = LEFT$(REQUIRED$, 3)
   REQUIRED = VAL(require$)
GOTO OKIE.DOKIE

ERRORWITHWAR.CFG:
   PRINT "War.cfg Not Found"
   END

OKIE.DOKIE:
   ON ERROR GOTO NO.RANKINGS
   OPEN "WINNERS.WAR" FOR INPUT AS #1
      CLS
      PRINT "Global Wars v1.6 Ranking Program"
      PRINT "By Robin Lee"
      PRINT
      PRINT "Player name       Points Rank"
      PRINT "~~~~~~~~~~~~~~~~~ ~~~~~~ ~~~~~~~~~~~~~~~~~~~~~~~"
     
READINPOINTS:
      INPUT #1, POINTS
      INPUT #1, NAME$
      GOSUB DETERMINE.RANK
      IF POINTS / REQUIRED >= 20.01 GOTO READINPOINTS2
      PRINT NAME$; TAB(18); POINTS; TAB(26); RANK$
      GOTO READINPOINTS2

READINPOINTS2:
      IF EOF(1) GOTO FINISHED.RANK.FILE
      GOTO READINPOINTS

NO.RANKINGS:
   PRINT
   PRINT "NO RANKINGS"
   END

DETERMINE.RANK:
   IF POINTS / REQUIRED >= 20.01 THEN GOTO DETERMINE.RANK.2
   IF POINTS / REQUIRED <= 20 THEN RANK$ = "General ****"
   IF POINTS / REQUIRED <= 19 THEN RANK$ = "Lieutenant General ***"
   IF POINTS / REQUIRED <= 18 THEN RANK$ = "Major General **"
   IF POINTS / REQUIRED <= 17 THEN RANK$ = "Brigadier General *"
   IF POINTS / REQUIRED <= 16 THEN RANK$ = "Colonel"
   IF POINTS / REQUIRED <= 15 THEN RANK$ = "Lieutenant Colonel"
   IF POINTS / REQUIRED <= 14 THEN RANK$ = "Major"
   IF POINTS / REQUIRED <= 13 THEN RANK$ = "Captain"
   IF POINTS / REQUIRED <= 12 THEN RANK$ = "First Lieutenant"
   IF POINTS / REQUIRED <= 11 THEN RANK$ = "Second Lieutenant"
   IF POINTS / REQUIRED <= 10 THEN RANK$ = "Sergeant Major"
   IF POINTS / REQUIRED <= 9 THEN RANK$ = "Master Sergeant"
   IF POINTS / REQUIRED <= 8 THEN RANK$ = "Sergeant First Class"
   IF POINTS / REQUIRED <= 7 THEN RANK$ = "Staff Sergeant"
   IF POINTS / REQUIRED <= 6 THEN RANK$ = "Sergeant"
   IF POINTS / REQUIRED <= 5 THEN RANK$ = "Corporal"
   IF POINTS / REQUIRED <= 4 THEN RANK$ = "Lance Corporal"
   IF POINTS / REQUIRED <= 3 THEN RANK$ = "Private First Class"
   IF POINTS / REQUIRED <= 2 THEN RANK$ = "Private"
   IF POINTS / REQUIRED <= 1 THEN RANK$ = "Civilian"
RETURN

DETERMINE.RANK.2:                     
WINS = INT(POINTS / REQUIRED)
PRINT NAME$; TAB(18); POINTS; TAB(25); WINS - 15; "STAR GENERAL ";
FOR M = 1 TO WINS - 15
PRINT "*";
NEXT M
PRINT
RETURN

FINISHED.RANK.FILE:
   CLOSE
   END

